Installer - Bug #30240

Installer no longer sets up DNS zone update auth
06/29/2020 03:57 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 2.1.0
Difficulty: Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases: 2.1.0
Bugzilla link: 1843926 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/603,
https://github.com/theforeman/puppet-for
eman_proxy/pull/604

Description

https://github.com/theforeman/puppet-dns/pull/157 changed the default zones and no longer automatically sets up the rndc-key to
unconditionally allow any zones.

Associated revisions

Revision 5a6b51c1 - 06/30/2020 12:36 PM - Ewoud Kohl van Wijngaarden
Fixes #30240 - compat with theforeman/dns 8.x
dda99d908f38c3e752928a9a2d570280477d581c marked the module as
compatible with theforeman/dns 8.x. However, 8.x was a breaking change

and no longer automatically grants access to the rndc-key by default.
This restores compatibility.

History

#1 - 06/29/2020 04:02 PM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules

- Target version set to 2.1.0

- Triaged changed from No to Yes

- Found in Releases 2.1.0 added

#2 - 06/29/2020 04:03 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/603 added

#3 - 06/30/2020 03:10 PM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#4 - 06/30/2020 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|5a6b51c1a3b343a5a7844fda45622fabbd74aba0.

#5 - 06/30/2020 04:26 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/604 added

#6 - 07/01/2020 12:27 PM - Ewoud Kohl van Wijngaarden
- Pull request deleted (https://github.com/theforeman/puppet-foreman_proxy/pull/604, https://github.com/theforeman/puppet-foreman_proxy/pull/603)
https://github.com/theforeman/puppet-dns/pull/157
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy/revisions/5a6b51c1a3b343a5a7844fda45622fa5bd74aba0

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#7 - 07/01/2020 12:32 PM - Tomer Brisker
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/603, https:/github.com/theforeman/puppet-foreman_proxy/pull/604 added
